Deployments.ai Docs
Operations

List organization-level audit events

GET /v1/organizations/{id}/audit-events · SDK listOrganizationAuditEvents · CLI deployments audit organization-list

GET
/v1/organizations/{id}/audit-events

Requires audit:read.

Authorization

platformBearer
headerAuthorizationBearer <token>

Platform bearer credential accepted as an opaque API key or JWT.

Path Parameters

id*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Query Parameters

cursor?string
Length1 <= length <= 4096
limit?integer
Range1 <= value <= 100
since?string

Inclusive canonical UTC timestamp.

Formatdate-time
until?string

Exclusive canonical UTC timestamp.

Formatdate-time
actor?string
Length1 <= length
resource?string
Length1 <= length
event?string
Length1 <= length

Header Parameters

x-deployments-organization*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Response Body

OrganizationAuditEventPageResponse

application/json
  1. response
items*array<>
nextCursor?|null
curl -X GET "https://example.com/v1/organizations/string/audit-events" \  -H "x-deployments-organization: string"
{  "items": [    {      "action": "string",      "actor": {        "id": "string",        "operatorAccessGrantId": "string",        "type": "agent"      },      "changes": {        "property1": null,        "property2": null      },      "id": "string",      "occurredAt": "2019-08-24T14:15:22Z",      "organizationId": "string",      "resourceId": "string",      "resourceType": "string",      "sourceIpHash": "string",      "userAgentHash": "string",      "projectId": "string"    }  ],  "nextCursor": "string"}